Get all invoices
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
invoice_view| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| internal_number |
Internal number to identify the invoice |
string | |
| company_id |
Foreign key to company, identifies the company of the invoice |
globally unique identifier | |
| company_code |
Company code of the invoice |
string | |
| company_name |
Company name of the invoice |
string | |
| company_email |
Company email of the invoice |
string | |
| company_phone |
Company phone of the invoice |
string | |
| date_create |
Invoice creation date in utc |
date | |
| memo |
Memo field for invoice |
string | |
| description |
Decription field for invoice |
string | |
| invoice_type |
Invoice type, possible values “ContractGenerated“ and “WorkOrderApproval“ |
string | |
| source_type |
Source of invoice, refers to the type of the object from which invoice is derived |
string | |
| source_id_in_table |
Key of the object from which the invoice is derived |
globally unique identifier | |
| total_lines |
Total amount of lines linked to the invoice |
integer | |
| total_amount |
Total value of items in lines linked to the invoice |
decimal number | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| invoice_details |
Details of invoice |
Collection of invoice_details_view |
Response Formats
application/json, text/json
{
"id": "3f7ef663-c8a9-480c-b4f4-1f3cc1f9fc5a",
"internal_number": "sample string 2",
"company_id": "e2b6cb15-022d-4ae8-997f-41b5901cd224",
"company_code": "sample string 4",
"company_name": "sample string 5",
"company_email": "sample string 6",
"company_phone": "sample string 7",
"date_create": "2026-10-08T15:16:02.5609951+00:00",
"memo": "sample string 9",
"description": "sample string 10",
"invoice_type": "sample string 11",
"source_type": "sample string 12",
"source_id_in_table": "bb98127c-cd58-4805-990d-ac63145dce14",
"total_lines": 14,
"total_amount": 15.0,
"modified_dateutc": "2026-10-08T15:16:02.5609951+00:00",
"invoice_details": [
{
"id": "b94b4220-5cb3-43c2-9352-538f0002de09",
"invoice_id": "2688f5e0-f5d8-4431-ae35-7a12500d1514",
"article_id": "9ff65c87-e390-4bf1-a442-a3cc4cac52f6",
"article_name": "sample string 4",
"article_description": "sample string 5",
"article_code": "sample string 6",
"line_num": 7,
"quantity_decimal": 9.0,
"article_price": 10.0,
"discount": 11.0,
"vat_rate": 12.0,
"vat_value": 13.0,
"total_vat": 14.0,
"total_line": 15.0,
"total_line_with_vat": 16.0,
"modified_dateutc": "2026-10-08T15:16:02.5609951+00:00"
},
{
"id": "b94b4220-5cb3-43c2-9352-538f0002de09",
"invoice_id": "2688f5e0-f5d8-4431-ae35-7a12500d1514",
"article_id": "9ff65c87-e390-4bf1-a442-a3cc4cac52f6",
"article_name": "sample string 4",
"article_description": "sample string 5",
"article_code": "sample string 6",
"line_num": 7,
"quantity_decimal": 9.0,
"article_price": 10.0,
"discount": 11.0,
"vat_rate": 12.0,
"vat_value": 13.0,
"total_vat": 14.0,
"total_line": 15.0,
"total_line_with_vat": 16.0,
"modified_dateutc": "2026-10-08T15:16:02.5609951+00:00"
}
]
}